Package net.shibboleth.idp.session.criterion

# Class SPSessionCriterion

java.lang.Object
net.shibboleth.idp.session.criterion.SPSessionCriterion

All Implemented Interfaces:
  `Criterion`

public final class SPSessionCriterion extends Object implements Criterion
`Criterion` representing a service ID and an implementation-specific service session key.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`id`
The service ID.
`private final String`
`key`
Service session key.

## Constructor Summary

Constructors
Constructor
Description
`SPSessionCriterion(String serviceId, String spSessionKey)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getServiceId()`
Get the service ID.
`String`
`getSPSessionKey()`
Get the service session key.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

@Nonnull @NotEmpty private final String id
The service ID.

### key

@Nonnull @NotEmpty private final String key
Service session key.

## Constructor Details

### SPSessionCriterion

public SPSessionCriterion(@Nonnull @NotEmpty String serviceId, @Nonnull @NotEmpty String spSessionKey)
Constructor.

Parameters:
  `serviceId` - the service ID
  `spSessionKey` - the custom key associated with the SP session

## Method Details

### getServiceId

@Nonnull @NotEmpty public String getServiceId()
Get the service ID.

Returns:
  the service ID

### getSPSessionKey

@Nonnull @NotEmpty public String getSPSessionKey()
Get the service session key.

Returns:
  the service session key

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`